Subject: bug#42218: 28.0.50; Fix for missed item undecoration on allout-widgets-mode deactivation

From: Ken Manheimer <[email-masked]>
Date: Tue, 21 Jul 2020 11:17:36 -0400

Ok, reverts of the emacs-27 backports are pushed to origin.

On Mon, Jul 20, 2020 at 10:24 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Ken Manheimer <[email-masked]>
> > Date: Mon, 20 Jul 2020 16:09:51 -0400
> > Cc: [email-masked]
> >
> > In my local checkout of the emacs-27 branch I have reversal of the five
> commits ready to push upstream. I'm
> > sorry to bother you further with this, but rather than risk compounding
> the problem I want to double-check
> > that reversing the commits (rather than, eg, reversing the changes in
> new commits) is the right way to go,
> > before I push upstream. I know that this is a different situation than
> to problem-prone one of doing a reset
> > and pushing that, but haven't pushed reversed commits and want to be
> sure. (This time I will wait for your
> > reply rather than just going ahead.)
>
> The right way is to say "git revert SHA1" for each of the commits you
> want to revert.  This creates a commit with reverse diffs.  Then "git
> push" the result.
>
> Thanks.
>